GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::index::quadtree::Key Class Reference

A Key is a unique identifier for a node in a quadtree. More...

`#include <Key.h>`

## Public Member Functions
| Key (const geom::Envelope &itemEnv)
const geom::Coordinate & | getPoint () const
| Returned object ownership retained by this class.
int | getLevel () const
const geom::Envelope & | getEnvelope () const
| Returned object ownership retained by this class.
geom::Coordinate * | getCentre () const
| Returns newly allocated object (ownership transferred)
void | computeKey (const geom::Envelope &itemEnv)

## Static Public Member Functions
static int | computeQuadLevel (const geom::Envelope &env)

## Detailed Description

A Key is a unique identifier for a node in a quadtree.

It contains a lower-left point and a level number. The level number is the power of two for the size of the node envelope

## Member Function Documentation

void geos::index::quadtree::Key::computeKey | ( | const geom::Envelope & | itemEnv | ) |

return a square envelope containing the argument envelope, whose extent is a power of two and which is based at a power of 2

The documentation for this class was generated from the following file:

- quadtree/Key.h